using UnityEngine;
using System.Collections;

public class await : MonoBehaviour {

    // ウェイト設定
    // 処理を途中で止める
    // Managerから呼び出して使う

    private float cnt;
    // flag:ウェイトが終了した？
    private bool flag = true;

    // カウント開始
	public void start (float time) {
        cnt = time;
        flag = false;
	}
	
	// カウントが終了するまで減らす
	void Update () {
        if (flag == false) {
            cnt -= Time.deltaTime;
            if (cnt <= 0.0f) {
                cnt = 0.0f;
                flag = true;
            }
        }
	}

    // カウント終了したかの判定
    public bool await_finish() {
        return flag;
    }
}
